pythonocc_曲面投影

在这里插入图片描述
在这里插入图片描述

	gp_Pnt_0 = gp_Pnt(2,2, 5)
	gp_Pnt_0 = gp_Pnt(2,-2, 3)
    display.DisplayShape(gp_Pnt_0, update=True)
    qumian=qumian()
    # point_1 = ais_ProjectPointOnPlane(gp_Pnt_0, qumian)
    point_1= GeomAPI_ProjectPointOnSurf(gp_Pnt_0, qumian)#曲面
    # NearestPoint_1=point_1.NearestPoint()
    NearestPoint_1 = point_1.Point(1)
    NearestPoint_1 = point_1.Point(2)
    display.DisplayShape(qumian, update=True)
    display.DisplayShape(NearestPoint_1, update=True)#
def pointonline():
    gp_Pnt_0 = gp_Pnt(10,10,10)
    display.DisplayShape(gp_Pnt_0 , update=True)
    #
    gp_Pnt_1 = gp_Pnt(0, 0, 1)
    gp_Dir_1 = gp_Dir(0, 2, 0)
    gp_Ax1_1=gp_Ax1(gp_Pnt_1,gp_Dir_1 )
    gp_Lin_1 = gp_Lin(gp_Ax1_1)
    # display.DisplayShape(gp_Lin_1, True)
    # display.Context.Display(gp_Ax1_1,True)
    # display.DisplayShape(gp_Lin_1, update=True)
    point_1 = ais_ProjectPointOnLine(gp_Pnt_0, gp_Lin_1)
    display.DisplayShape(point_1, update=True)
    return point_1
def pointonPlane():
    # ProjectPointOnPlane()        # Parameters:        aPoint(gp_Pnt) –        aPlane(gp_Pln) –
    gp_Pnt_0 = gp_Pnt(5, 52, 2)
    display.DisplayShape(gp_Pnt_0, update=True)

    gp_Pnt_1 = gp_Pnt(0, 2, 0)
    gp_Dir_1 = gp_Dir(0, 1, 0)
    gp_Pln_1 = gp_Pln(gp_Pnt_1, gp_Dir_1)
    # display.DisplayShape(gp_Pln_1, update=True)
    point_1 = ais_ProjectPointOnPlane(gp_Pnt_0, gp_Pln_1)
    # display.DisplayShape(point_1, update=True)
    return point_1
  • 0
    点赞
  • 2
    收藏
    觉得还不错? 一键收藏
  • 1
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论 1
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值